Skip to content

Bridge providers and chains

GET
/crosschain/config
curl --request GET \
--url 'https://api.getchord.xyz/v1/crosschain/config?provider=lifi'

Whether the provider is enabled, its app fee, the origin chains this deployment offers, and the destination chains with display names, native symbols, explorers and icons.

provider
string
Allowed values: lifi relay

Bridge provider. Chord uses lifi.

origin
integer

Exclude this chain from the list.

Media typeapplication/json
object
enabled
boolean
provider
string
appFeeBps
number
origins
Array<integer>
origin
integer | null
chains
Array<object>
object
id
integer
name
string
displayName
string
nativeSymbol
string
explorerUrl
string
featured
boolean
iconUrl
string | null
Example
{
"enabled": true,
"provider": "lifi",
"appFeeBps": 5,
"origins": [
143,
4663
],
"origin": null,
"chains": [
{
"id": 4663,
"name": "out",
"displayName": "Robinhood Chain",
"nativeSymbol": "ETH",
"explorerUrl": "https://robin.etherscan.io",
"featured": true,
"iconUrl": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/robinhood.svg"
},
{
"id": 5042,
"name": "arc",
"displayName": "Arc",
"nativeSymbol": "USDC",
"explorerUrl": "https://explorer.arc.io",
"featured": true,
"iconUrl": "https://raw.githubusercontent.com/lifinance/types/main/src/assets/icons/chains/arc.svg"
}
]
}